Skip to main content
DELETE
Use this endpoint to delete an existing subscription. This endpoint accepts the same parameters as the POST /subscriptions endpoint for creating subscriptions.

Endpoint

Parameters

string
required
The ID of the workflow or component emitting events. Events from this component trigger the receiving component / workflow.emitter_id also accepts glob patterns that allow you to subscribe to all workflows or components:
  • p_*: Listen to events from all workflows
  • dc_*: Listen to events from all event sources
See the component endpoints for information on how to retrieve the ID of existing components. You can retrieve the ID of your workflow in your workflow’s URL - it’s the string p_2gCPml in https://pipedream.com/@dylan/example-rss-sql-workflow-p_2gCPml/edit.

string
required
The ID of the component or workflow you’d like to receive events.See the component endpoints for information on how to retrieve the ID of existing components. You can retrieve the ID of your workflow in your workflow’s URL - it’s the string p_2gCPml in https://pipedream.com/@dylan/example-rss-sql-workflow-p_2gCPml/edit.

string
required
The name of the event stream tied to your subscription. If you didn’t specify an event_name when creating your subscription, pass event_name=.You’ll find the event_name that’s tied to your subscription when listing your subscriptions: